% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/retrieve.protein.coding.genes.R
\name{retrieve.protein.coding.genes}
\alias{retrieve.protein.coding.genes}
\title{Retrieve protein-coding genes}
\usage{
retrieve.protein.coding.genes(generate.rdata = FALSE)
}
\arguments{
\item{generate.rdata}{instead of returning a list of gene sets, it saves them to disk}
}
\value{
a list of gene names and ids
Gene names:

- `all.genes`: Union of genes from `ensembldb` and `ccds`
- `ensembl.genes`: Protein coding genes from `ensembldb`
- `ccds.extra.genes`: Protein coding genes from `ccds`

Ensembl ID (ENGS****):

- `ensg.id`: Contains the union of both protein coding genes of `ensembldb` package and `ccds` current release.
- _Note:_ If chunk below has warning, then not all genes ccds have an ensembl id
}
\description{
This function uses ensembldb and current ccds release of human genome
 to retrieve a current catalog of protein-coding gene names and ids
}
\examples{
gene.list <- retrieve.protein.coding.genes()
retrieve.protein.coding.genes(generate.rdata = TRUE)
}
